/*
 Theme Name:   Divi Child Theme
 Theme URI:    https://www.elegantthemes.com/
 Description:  Child Theme for Divi
 Author:       MD Rahu
 Author URI:   https://www.fiverr.com/raahuu?source=gig_page
 Template:     Divi
 Version:      2.0.0
*/

/*-------------------Add any custom CSS below this line-------------------*/

.c-menu-style ul#menu-main-menu>li.menu-item a {
    position: relative;
}
.c-menu-style ul#menu-main-menu li.menu-item a:before {
    content: "";
    background: linear-gradient(90deg, #ECCF85 0%, #a2770a 50%, #ECCF85 100%);
    background-size: 150%;
    height: 2px;
    width: 0;
    position: absolute;
    bottom: calc(50% - 13px);
    transition: all .3s ease-in-out;
    left: 50%;
    transform: translateX(-50%);
}

.c-menu-style ul#menu-main-menu li.menu-item li.current-menu-item a:before,
.c-menu-style ul#menu-main-menu li.menu-item li a:hover:before,
.c-menu-style ul#menu-main-menu>li.menu-item.in-viewport>a::before,
.c-menu-style ul#menu-main-menu>li.menu-item.current-menu-parent>a::before,
.c-menu-style ul#menu-main-menu>.current-menu-item:first-of-type a::before, 
.c-menu-style ul#menu-main-menu>li.menu-item>a:hover::before {
    width: 100%;
    animation: menuitemAnimate 1.5s linear infinite;
}
@keyframes menuitemAnimate {
	0% {background-position-x: 0%;}
	100% {background-position-x: 300%;}
}
@media screen and (max-width: 980px){
	.c-menu-style .et_pb_menu__wrap {
		justify-content: flex-end !important;
	}
}



.text-slider {
    overflow: hidden;
    white-space: nowrap;
}

.text-slider-track {
    display: flex;
    width: max-content;
    animation: textLoop 25s linear infinite;
}

.text-slider .et_pb_text_inner {
    flex-shrink: 0;
    padding-right: 40px; /* space between repeats */
}

@keyframes textLoop {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}
